<section class="upload-container">
<input #excelInput hidden="true" type="file" onclick="this.value=null"
(change)="fileInputChange($event)"
accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />

<button mat-raised-button color="primary" (click)="excelInput.click()"
class="xl-btn">UPLOAD</button>

<button mat-raised-button color="primary" (click)="downloadFile($event)"
class="xl-btn">DOWNLOAD</button>
</section>